## pymca 5.3.2+dfsg

=== requirements.txt ===
# List all dependencies of PyMca for complete functionality and not just
# command line XRF analysis
# Requires pip >= 8.0

--trusted-host www.silx.org
--find-links http://www.silx.org/pub/wheelhouse/
--only-binary numpy,h5py,scipy,PyQt4,PyQt5,PySide

numpy >= 1.8
fisx >= 1.1.2
PyOpenGL                  # For PyMca5.Object3D module 
h5py                      # For HDF5 file format support
matplotlib > 1.0          # For visualization
qtconsole                 # For interactive console plugin
silx >= 0.7               # For NeXus NXdata support and nicer icons  

# PyQt4, PyQt5 or PySide  # For PyMca5.PyMcaGui
# Try to install a Qt binding from a wheel
# This is no available for all configurations

# Require PyQt when wheel is available
PyQt5; python_version >= '3.5'
PyQt4; sys_platform == 'win32' and python_version == '2.7'  # From silx.org
PyQt4; sys_platform == 'darwin' and python_version == '2.7'  # From silx.org

## pymca 4.4.1p1

=== debian/changelog ===
pymca (4.4.1p1-2) unstable; urgency=low

  * control:
    - Move python-matplotlib to Recommends
    - Add python-qt4-gl, python-opengl, python-mdp and python-h5py to
      Recommends (closes: #623757).
  * Perpeatuate the hack of manually deleting files installed to the
    pymca-data package from the pythonX.X installation directories.
    Support the versions of Python in unstable (2.6 and 2.7) and drop
    the support for python2.5. This means that this revision of pymca
    does not build any more in squeeze. Upstream has promised to tweak
    the setup.py to better support splitting of data files in the next
    release (closes: #625171).

 -- Teemu Ikonen <tpikonen@gmail.com>  Mon, 23 May 2011 16:15:48 +0200

pymca (4.4.1p1-1) unstable; urgency=low

  * New upstream version.
    - Fixes setting PYTHONPATH in scripts (closes: #605160).
    - Includes the specfile module locale fixes, so removing patch
      03_specfile-locale.
    - Does not include .pyc files in the orig.tar, so removing code
      in 'debian/rules' for preserving them during the build.
  * Patch 03_postbatch: Remove starting blank line from pymcapostbatch
    script to allow correct distutils #! replacement.

 -- Teemu Ikonen <tpikonen@gmail.com>  Tue, 30 Nov 2010 12:32:47 +0100

pymca (4.4.0-2) unstable; urgency=low

  * Add patch from upstream to fix reading of specfiles (closes: #602471)
  * Add debian/source/format file with contents '3.0 (quilt)'
  * Add a README.source file.
  * Split changes to upstream sources to patches:
    - 01_paths.patch: Hardcode Debian specific documentation and Python paths.
    - 02_setup.patch: Misc. changes to setup.py. Do not show license during
      build, do not install docs to Python dirs, do not remove old files.
    - 03_specfile-locale.patch: Read specfiles with correct 'C' locale.
      Define SPECFILE_USE_GNU_SOURCE in setup.py to enable the fix.
  * Add debian/metapatches/* (DEP3 header info for patches generated from git).
  * copyright: Fix typo, "algoritm" -> "algorithm"

 -- Teemu Ikonen <tpikonen@gmail.com>  Thu, 18 Nov 2010 10:58:07 +0100

pymca (4.4.0-1) unstable; urgency=low

  * New upstream version.
  * Upload to unstable (Closes: #514903)
  * setup.py: Use lib-path based on build-time interpreter version
    in scripts.
  * control:
    - Split the data files to arch-independent package pymca-data. Make
      pymca depend on it.
    - Upgrade to standards-version 3.9.1.
    - Upgrade debhelper build-dep to version >= 7.0.50~ because of the
      use of overrides in rules.
    - Add build-dep to libglu1-mesa-dev | libglu-dev.
  * rules:
    - Preserve phynx .pyc files during clean.
    - Use overrides, delete data files from the pymca package.
  * copyright:
    - Upgrade format specification to dep5.
    - Add copyright information for nnma and phynx.

 -- Teemu Ikonen <tpikonen@gmail.com>  Fri, 03 Sep 2010 14:20:02 +0200

pymca (4.3.0-1) UNRELEASED; urgency=low

  * Initial release.

 -- Teemu Ikonen <tpikonen@gmail.com>  Mon, 16 Feb 2009 15:42:16 +0100

=== debian/control ===
Source: pymca
Section: science
Priority: extra
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Teemu Ikonen <tpikonen@gmail.com>
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/pymca.git
Vcs-Git: git://git.debian.org/git/debian-science/packages/pymca.git
Build-Depends: debhelper (>= 7.0.50~), python-support, python-all-dev,
 python-numpy, libglu1-mesa-dev | libglu-dev
Standards-Version: 3.9.1
Homepage: http://pymca.sourceforge.net/

Package: pymca
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 pymca-data (= ${source:Version}), python-numpy, python-qt4,
 python-qwt5-qt4
Recommends: python-qt4-gl, python-opengl, python-matplotlib, python-mdp,
 python-h5py
Description: Python applications and toolkit for X-ray fluorescence analysis
 PyMca is set of applications and Python libraries for analysis of
 X-ray fluorescence spectra.
 .
 The applications included in this package are:
 .
  * edfviewer - Display and inspection of data files in ESRF Data Format
  * elementsinfo - Displays element specific X-ray data
  * mca2edf - Converts files from SPEC MCA format to EDF
  * peakidentifier - Displays X-ray fluorescence peaks in a given energy range
  * pymcabatch - Batch fitting of spectra
  * pymcapostbatch - Post-processing of batch fitting results
  * pymca - Interactive data-analysis
  * pymcaroitool - Region-of-interest (ROI) imaging tool
 .
 The PyMca toolkit can read data files in SPEC, ESRF data file (EDF),
 OMNIC, AIFIRA and SupaVisio formats.

Package: pymca-data
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Architecture independent data files for PyMca
 PyMca is set of applications and Python libraries for analysis of
 X-ray fluorescence spectra.
 .
 This package contains the architecture independent data files for PyMca.

=== debian/rules ===
#!/usr/bin/make -f

build: build-stamp
build-stamp:
	dh_testdir
	dh build
	touch $@

clean:
	dh_testdir
	dh_clean
	python setup.py clean
	-rm -rf build

P26LIB=debian/pymca/usr/lib/python2.6/dist-packages/PyMca
P27LIB=debian/pymca/usr/lib/python2.7/dist-packages/PyMca

override_dh_install:
	dh_install
	chmod -R a-X debian/pymca-data/usr/share/*
	chmod -R a-X debian/pymca/usr/lib/*
	# FIXME: Is there an easier way to exclude files which
	# are installed to another binary package?
	rm -rf $(P26LIB)/attdata
	rm $(P26LIB)/*.dat
	rm $(P26LIB)/*.dict
	rm $(P26LIB)/*.cfg
	rm $(P26LIB)/changelog.txt
	rm -rf $(P27LIB)/attdata
	rm $(P27LIB)/*.dat
	rm $(P27LIB)/*.dict
	rm $(P27LIB)/*.cfg
	rm $(P27LIB)/changelog.txt
override_dh_pysupport:
	dh_pysupport
	chmod 755 debian/pymca-data/usr/share/pyshared
	chmod 755 debian/pymca-data/usr/share/pyshared/PyMca
	chmod 755 debian/pymca-data/usr/share/pyshared/PyMca/attdata
override_dh_installchangelogs:
	dh_installchangelogs PyMca/changelog.txt
override_dh_compress:
	dh_compress -X.pdf
install: build install-stamp
install-stamp:
	dh install
	touch $@

binary-indep: build install
	dh binary-indep

binary-arch: build install
	dh binary-arch

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3
http://sf.net/pymca/pymca[-]*(.+)-src\.tgz

## pymca 4.5.0

=== debian/changelog ===
pymca (4.5.0-4) unstable; urgency=low

  * debian/rules
    - fix the permission to avoid FTBFS
      sbuild and pbuilder do not failed the same way.
    - remove the PyMca/HTML from python modules (documentation)
  * debian/patches
    - 0003-feature-forwarded-missing-EADL97_KShellConstants.dat.patch (new)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 19 Mar 2012 09:24:06 +0100

pymca (4.5.0-3) unstable; urgency=low

  * fix permission to avoid FTBFS

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 19 Mar 2012 08:06:44 +0100

pymca (4.5.0-2) unstable; urgency=low

  * oups FTBFS everywhere

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 18 Mar 2012 23:13:46 +0100

pymca (4.5.0-1) unstable; urgency=low

  * Imported Upstream version 4.5.0 (Closes: #656198)
  * debian/control
    - Upgrade to standards-version 3.9.3 (nothing to do)
    - Remove python-support
    - Add myself as Uploaders
  * debian/copyright
    - Updated
  * debian/patches
    - Unapply patches from source
    - Refresh the series using gbp-pq
  * debian/rules
    - switch to dh_python2

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 17 Mar 2012 21:48:02 +0100

=== debian/control ===
Source: pymca
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Teemu Ikonen <tpikonen@gmail.com>,
           Picca Frédéric-Emmanuel <picca@debian.org>
Section: science
Priority: extra
Build-Depends: debhelper (>= 8),
               libglu1-mesa-dev | libglu-dev,
               python-all-dev (>= 2.6.6-3~),
               python-numpy
Standards-Version: 3.9.3
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/pymca.git
Vcs-Git: git://git.debian.org/git/debian-science/packages/pymca.git
Homepage: http://pymca.sourceforge.net/
X-Python-Version: >= 2.6

Package: pymca
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends},
         pymca-data (= ${source:Version}),
         python-qt4,
         python-qwt5-qt4
Recommends: python-h5py,
            python-matplotlib,
            python-mdp,
            python-opengl,
            python-qt4-gl
Description: Python applications and toolkit for X-ray fluorescence analysis
 PyMca is set of applications and Python libraries for analysis of
 X-ray fluorescence spectra.
 .
 The applications included in this package are:
 .
  * edfviewer - Display and inspection of data files in ESRF Data Format
  * elementsinfo - Displays element specific X-ray data
  * mca2edf - Converts files from SPEC MCA format to EDF
  * peakidentifier - Displays X-ray fluorescence peaks in a given energy range
  * pymcabatch - Batch fitting of spectra
  * pymcapostbatch - Post-processing of batch fitting results
  * pymca - Interactive data-analysis
  * pymcaroitool - Region-of-interest (ROI) imaging tool
 .
 The PyMca toolkit can read data files in SPEC, ESRF data file (EDF),
 OMNIC, AIFIRA and SupaVisio formats.

Package: pymca-data
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends}
Description: Architecture independent data files for PyMca
 PyMca is set of applications and Python libraries for analysis of
 X-ray fluorescence spectra.
 .
 This package contains the architecture independent data files for PyMca.

=== debian/rules ===
#!/usr/bin/make -f

override_dh_installchangelogs:
	dh_installchangelogs PyMca/changelog.txt

override_dh_auto_install:
	dh_auto_install
	dh_numpy
	# fix the permission of the files
	# https://sourceforge.net/tracker/?func=detail&aid=3507657&group_id=164626&atid=832479
	find $(CURDIR)/debian/tmp/usr/lib -type f -exec chmod 644 {} \;

%:
	dh $@ --with python2

## pymca 4.6.0

=== debian/changelog ===
pymca (4.6.0-2) unstable; urgency=low

  * debian/patches
    - 0002-fix-from-upstream-hurd-FTBFS.patch (new)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 19 Jun 2012 18:10:01 +0200

pymca (4.6.0-1) unstable; urgency=low

  * Imported Upstream version 4.6.0
  * debian/patches
    - 0001-Hardcode-correct-Debian-paths-to-executable-scripts.patch (renamed)
      0001-install-the-data-at-the-right-place.patch
    - 0002-Various-build-system-fixes.patch (deleted)
    - 0003-feature-forwarded-missing-EADL97_KShellConstants.dat.patch (deleted)
  * debian/rules
    - execute the unit tests just for information now.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 18 Jun 2012 21:18:07 +0200

=== debian/control ===
--- 
+++ 
@@ -47,8 +47,7 @@
 
 Package: pymca-data
 Architecture: all
-Depends: ${misc:Depends},
-         ${python:Depends}
+Depends: ${misc:Depends}
 Description: Architecture independent data files for PyMca
  PyMca is set of applications and Python libraries for analysis of
  X-ray fluorescence spectra.

## pymca 4.6.2

=== debian/changelog ===
pymca (4.6.2-1) unstable; urgency=low

  * Imported Upstream version 4.6.2
  * Bump Standars-Version to (3.9.4) nothing to do
  * debian/control
    - unversionne python-all-dev (cme fix)
  * debian/copyright updated
  * debian/patches
    - 0002-fix-from-upstream-hurd-FTBFS.patch (deleted)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 01 Jun 2013 14:41:59 +0200

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Priority: extra
 Build-Depends: debhelper (>= 8),
                libglu1-mesa-dev | libglu-dev,
-               python-all-dev (>= 2.6.6-3~),
+               python-all-dev,
                python-numpy
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Vcs-Browser: http://git.debian.org/?p=debian-science/packages/pymca.git
 Vcs-Git: git://git.debian.org/git/debian-science/packages/pymca.git
 Homepage: http://pymca.sourceforge.net/

=== debian/rules ===
#!/usr/bin/make -f

export SPECFILE_USE_GNU_SOURCE=1

# Get the supported Python versions
PYVERS = $(shell pyversions -r -v)

override_dh_installchangelogs:
	dh_installchangelogs changelog.txt

override_dh_auto_install:
	# fix the creation of the man directory
	# https://sourceforge.net/tracker/?func=detail&aid=3524625&group_id=164626&atid=832479
	mkdir -p  $(CURDIR)/debian/tmp/usr/share/man
	dh_auto_install
	dh_numpy
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	set -e -x;\
	for py in $(PYVERS); do \
		cd $(CURDIR)/build/lib.*-$$py;\
		env PYTHONPATH=. python$$py PyMca/tests/TestAll.py;\
	done
endif

%:
	dh $@ --with python2

## pymca 4.7.1+dfsg

=== debian/changelog ===
pymca (4.7.1+dfsg-2) unstable; urgency=medium

  * debian/control
    update the description: pymca support also hdf5 files
  * debian/patches
    - 0002-debian-fix-header-for-system-qhull.patch
      do not apply to fix the FTBFS (Closes: #738752)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 16 Feb 2014 11:54:36 +0100

pymca (4.7.1+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 4.7.1+dfsg
  * Repack to remove the embeded qhull library
  * debian/control
    - Build-Depends: add libqhull-dev
  * debian/patches
    + 0002-debian-fix-header-for-system-qhull.patch
    + 0003-forwaded-upstream-allow-to-build-with-the-system-qhu.patch

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 14 Dec 2013 12:40:37 +0100

pymca (4.7.0+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 4.7.0+dfsg
  * Repack to remove the PyMca.sift module
  * Bump Standars-Version to (3.9.5) nothing to do

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 07 Dec 2013 10:13:57 +0100

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,10 @@
 Priority: extra
 Build-Depends: debhelper (>= 8),
                libglu1-mesa-dev | libglu-dev,
+               libqhull-dev,
                python-all-dev,
                python-numpy
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Browser: http://git.debian.org/?p=debian-science/packages/pymca.git
 Vcs-Git: git://git.debian.org/git/debian-science/packages/pymca.git
 Homepage: http://pymca.sourceforge.net/
@@ -43,7 +44,7 @@
   * pymcaroitool - Region-of-interest (ROI) imaging tool
  .
  The PyMca toolkit can read data files in SPEC, ESRF data file (EDF),
- OMNIC, AIFIRA and SupaVisio formats.
+ OMNIC, HDF5, AIFIRA and SupaVisio formats.
 
 Package: pymca-data
 Architecture: all
@@ -53,4 +54,3 @@
  X-ray fluorescence spectra.
  .
  This package contains the architecture independent data files for PyMca.
-

=== debian/watch ===
version=3
opts=dversionmangle=s/.dfsg// \
http://sf.net/pymca/pymca[-]*(.+)-src\.tgz \
debian sh debian/repack.stub

## pymca 4.7.4%2Bdfsg

=== debian/changelog ===
pymca (4.7.4+dfsg-1build1) xenial; urgency=medium

  * No-change rebuild for qhull transition.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 19 Feb 2016 06:53:17 +0000

pymca (4.7.4+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 4.7.4+dfsg
  * debian/patches
    - 0003-forwaded-upstream-allow-to-build-with-the-system-qhu.patch
      (an equivalent patch was applyed by upstream)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 01 Oct 2014 21:38:53 +0200

## pymca 4.7.4+dfsg

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 
 export SPECFILE_USE_GNU_SOURCE=1
+export QHULL_CFLAGS=-I/usr/include/qhull
+export QHULL_LIBS=-lqhull
 
 # Get the supported Python versions
 PYVERS = $(shell pyversions -r -v)

## pymca 5.1.3+dfsg

=== debian/changelog ===
pymca (5.1.3+dfsg-1) unstable; urgency=medium

  * New upstream version 5.1.3+dfsg
  * Depends fisx >= 1.1.2

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 27 Nov 2016 12:17:50 +0100

pymca (5.1.2+dfsg-2) unstable; urgency=medium

  * Added Breaks and Replace to fix the jessie -> strech upgrade (Closes:
    #836850)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 11 Sep 2016 09:24:04 +0200

pymca (5.1.2+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 5.1.2+dfsg
  * switch to compat level 9
  * Add the autopkgtest suite
  * Use cython to regenerate the extensions
  * debian/control
    + Homepage: https://github.com/vasole/pymca
    + new binary packages:
      - python-pymca5, python-pymca5-dbg
      - python3-pymca5, python3-pymca5-dbg
      - pymca-doc
    + Update Vcs-git
    + bump Standards-Version 3.9.8 (nothing to do)
    + Build-Depends Added:
      - cython, cython3
      - python-setuptools, python3-setuptools
  * debian/copyright
    + Use Files-Excluded to remove dfsg-nonfree files

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 20 Aug 2016 12:42:18 +0200

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export SPECFILE_USE_GNU_SOURCE=1
export WITH_CYTHON=1
export QHULL_CFLAGS=-I/usr/include/qhull
export QHULL_LIBS=-lqhull
export PYMCA_DATA_DIR=/usr/share/pymca
export PYMCA_DOC_DIR=$(PYMCA_DATA_DIR)/doc

export PYMCA_DATA_DIR_TEST=$(CURDIR)/PyMca5/PyMcaData/
export PYMCA_DOC_DIR_TEST=$(PYMCA_DATA_DIR_TEST)/doc

export PYBUILD_NAME=pymca5
export PYBUILD_AFTER_INSTALL=rm -rf {destdir}/usr/bin/ {destdir}/usr/share/man {destdir}$(PYMCA_DATA_DIR)

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_clean:
	dh_clean
	# remove the .c cython generated files
	find PyMca5 -iname *.pyx | sed -e 's,\.pyx,\.c,g' | xargs -r rm -f
	# remove the build documentation
	rm -rf doc/build

override_dh_installchangelogs:
	dh_installchangelogs changelog.txt

override_dh_install:
	dh_install -O--buildsystem=pybuild

	# pymca
	python setup.py install_scripts -d debian/pymca/usr/bin
	python setup.py install_man -d debian/pymca/usr/share/man

	dh_install -p pymca debian/edfviewer.desktop usr/share/applications
	dh_install -p pymca debian/elementsinfo.desktop usr/share/applications
	dh_install -p pymca debian/peakidentifier.desktop usr/share/applications
	dh_install -p pymca debian/pymca.desktop usr/share/applications
	dh_install -p pymca debian/pymca.xpm usr/share/pixmaps
	dh_install -p pymca debian/pymcaroitool.desktop usr/share/applications

	# pymca-data
	python setup.py install_data --root debian/pymca-data/
	rm -f debian/pymca-data/usr/share/pymca/EPDL97/LICENSE
	rm -f debian/pymca-data/usr/share/pymca/LICENSE
	rm -f debian/pymca-data/usr/share/pymca/LICENSE.GPL
	rm -f debian/pymca-data/usr/share/pymca/LICENSE.LGPL
	rm -f debian/pymca-data/usr/share/pymca/LICENSE.MIT
	rm -rf debian/pymca-data/usr/share/pymca/doc/HTML/PyMCA_files/

	dh_numpy
	dh_numpy3

override_dh_auto_test:
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="cd {build_dir} && PYMCA_DATA_DIR=$(PYMCA_DATA_DIR_TEST) {interpreter} PyMca5/tests/TestAll.py" dh_auto_test

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYBUILD_SYSTEM=custom \
	PYBUILD_BUILD_ARGS="cd doc && PYTHONPATH={build_dir} PYMCA_DATA_DIR=$(PYMCA_DATA_DIR_TEST) http_proxy='127.0.0.1:9' {interpreter} -m sphinx -N -bhtml source build/html" dh_auto_build  # HTML generator
	dh_installdocs "doc/build/html" -p pymca-doc
	dh_sphinxdoc -O--buildsystem=pybuild
endif

=== debian/watch ===
version=3
opts=repacksuffix=+dfsg,\
dversionmangle=s/.dfsg//,\
filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/pymca-$1\.tar\.gz/ \
  https://github.com/vasole/pymca/releases .*/v?([\d\.]*)\.tar\.gz

## pymca 5.2.2+dfsg

=== debian/changelog ===
pymca (5.2.2+dfsg-2) unstable; urgency=medium

  * fix FTBFS with glibc2.26 (Closes: #887749)
  * d/patches/
    - 0001-xlocale.h-not-available-under-glibc-2.26.patch (Added)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 20 Jan 2018 15:26:30 +0100

pymca (5.2.2+dfsg-1) unstable; urgency=medium

  * New upstream version 5.2.2+dfsg
  * Bump Standars-Version to (4.1.1) (extra -> optional)
  * d/watch use the pypi redirector
  * d/control
    - Build-Depends: fisx (>= 1.1.4-1~)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 21 Oct 2017 12:26:49 +0200

=== debian/control ===
Source: pymca
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Teemu Ikonen <tpikonen@gmail.com>,
           Picca Frédéric-Emmanuel <picca@debian.org>
Section: science
Testsuite: autopkgtest
Priority: optional
Build-Depends: cython,
               cython-dbg,
               cython3,
               cython3-dbg,
               debhelper (>= 9),
               dh-python,
               libglu1-mesa-dev,
               libqhull-dev,
               python-all-dbg,
               python-all-dev,
               python-numpy,
               python-numpy-dbg,
               python-setuptools,
               python-sphinx,
               python3-all-dbg,
               python3-all-dev,
               python3-numpy,
               python3-numpy-dbg,
               python3-setuptools,
               python3-sphinx
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/pymca.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/pymca.git
Homepage: https://github.com/vasole/pymca

Package: pymca
Architecture: all
Depends: python-pymca5 (>= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Description: Applications and toolkit for X-ray fluorescence analysis -- scripts
 PyMca is set of applications and Python libraries for analysis of
 X-ray fluorescence spectra.
 .
 The applications included in this package are:
 .
  * edfviewer - Display and inspection of data files in ESRF Data Format
  * elementsinfo - Displays element specific X-ray data
  * mca2edf - Converts files from SPEC MCA format to EDF
  * peakidentifier - Displays X-ray fluorescence peaks in a given energy range
  * pymcabatch - Batch fitting of spectra
  * pymcapostbatch - Post-processing of batch fitting results
  * pymca - Interactive data-analysis
  * pymcaroitool - Region-of-interest (ROI) imaging tool
 .
 The PyMca toolkit can read data files in SPEC, ESRF data file (EDF),
 OMNIC, HDF5, AIFIRA and SupaVisio formats.
 .
 This are the scripts of the package.

Package: python-pymca5
Architecture: any
Section: python
Depends: pymca-data (= ${source:Version}),
         python-fisx (>= 1.1.4-1~),
         python-matplotlib,
         python-opengl,
         python-qt4 | python-pyside | python-pyqt5,
         python-qt4-gl | python-pyside | python-pyqt5.qtopengl,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Recommends: python-h5py, python-mdp
Description: Applications and toolkit for X-ray fluorescence analysis -- Python 2
 PyMca is set of applications and Python libraries for analysis of
 X-ray fluorescence spectra.
 .
 The applications included in this package are:
 .
  * edfviewer - Display and inspection of data files in ESRF Data Format
  * elementsinfo - Displays element specific X-ray data
  * mca2edf - Converts files from SPEC MCA format to EDF
  * peakidentifier - Displays X-ray fluorescence peaks in a given energy range
  * pymcabatch - Batch fitting of spectra
  * pymcapostbatch - Post-processing of batch fitting results
  * pymca - Interactive data-analysis
  * pymcaroitool - Region-of-interest (ROI) imaging tool
 .
 The PyMca toolkit can read data files in SPEC, ESRF data file (EDF),
 OMNIC, HDF5, AIFIRA and SupaVisio formats.
 .
 This is the Python 2 version of the package.

Package: python-pymca5-dbg
Architecture: any
Section: debug
Depends: python-fisx-dbg (>= 1.1.4-1~),
         python-matplotlib-dbg,
         python-opengl,
         python-pymca5 (= ${binary:Version}),
         python-qt4-dbg | python-pyqt5-dbg,
         python-qt4-gl-dbg | python-pyqt5.qtopengl-dbg,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Recommends: python-dbg, python-h5py-dbg, python-mdp
Description: Applications and toolkit for X-ray fluorescence analysis -- Python 2 debug
 PyMca is set of applications and Python libraries for analysis of
 X-ray fluorescence spectra.
 .
 The applications included in this package are:
 .
  * edfviewer - Display and inspection of data files in ESRF Data Format
  * elementsinfo - Displays element specific X-ray data
  * mca2edf - Converts files from SPEC MCA format to EDF
  * peakidentifier - Displays X-ray fluorescence peaks in a given energy range
  * pymcabatch - Batch fitting of spectra
  * pymcapostbatch - Post-processing of batch fitting results
  * pymca - Interactive data-analysis
  * pymcaroitool - Region-of-interest (ROI) imaging tool
 .
 The PyMca toolkit can read data files in SPEC, ESRF data file (EDF),
 OMNIC, HDF5, AIFIRA and SupaVisio formats.
 .
 This is the Python 2 debug version of the package.

Package: python3-pymca5
Architecture: any
Section: python
Depends: pymca-data (= ${source:Version}),
         python3-fisx (>= 1.1.4-1~),
         python3-matplotlib,
         python3-opengl,
         python3-pyqt4 | python3-pyside | python3-pyqt5,
         python3-pyqt4.qtopengl | python3-pyside | python3-pyqt5.qtopengl,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: python3-h5py, python3-mdp
Description: Applications and toolkit for X-ray fluorescence analysis -- Python 3
 PyMca is set of applications and Python libraries for analysis of
 X-ray fluorescence spectra.
 .
 The applications included in this package are:
 .
  * edfviewer - Display and inspection of data files in ESRF Data Format
  * elementsinfo - Displays element specific X-ray data
  * mca2edf - Converts files from SPEC MCA format to EDF
  * peakidentifier - Displays X-ray fluorescence peaks in a given energy range
  * pymcabatch - Batch fitting of spectra
  * pymcapostbatch - Post-processing of batch fitting results
  * pymca - Interactive data-analysis
  * pymcaroitool - Region-of-interest (ROI) imaging tool
 .
 The PyMca toolkit can read data files in SPEC, ESRF data file (EDF),
 OMNIC, HDF5, AIFIRA and SupaVisio formats.
 .
 This is the Python 3 version of the package.

Package: python3-pymca5-dbg
Architecture: any
Section: debug
Depends: python3-fisx-dbg (>= 1.1.4-1~),
         python3-matplotlib-dbg,
         python3-opengl,
         python3-pymca5 (= ${binary:Version}),
         python3-pyqt4-dbg | python3-pyqt5-dbg,
         python3-pyqt4.qtopengl-dbg | python3-pyqt5.qtopengl-dbg,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: python3-dbg, python3-h5py-dbg, python3-mdp
Description: Applications and toolkit for X-ray fluorescence analysis -- Python 3 debug
 PyMca is set of applications and Python libraries for analysis of
 X-ray fluorescence spectra.
 .
 The applications included in this package are:
 .
  * edfviewer - Display and inspection of data files in ESRF Data Format
  * elementsinfo - Displays element specific X-ray data
  * mca2edf - Converts files from SPEC MCA format to EDF
  * peakidentifier - Displays X-ray fluorescence peaks in a given energy range
  * pymcabatch - Batch fitting of spectra
  * pymcapostbatch - Post-processing of batch fitting results
  * pymca - Interactive data-analysis
  * pymcaroitool - Region-of-interest (ROI) imaging tool
 .
 The PyMca toolkit can read data files in SPEC, ESRF data file (EDF),
 OMNIC, HDF5, AIFIRA and SupaVisio formats.
 .
 This is the Python 3 debug version of the package.

Package: pymca-data
Architecture: all
Depends: ${misc:Depends}
Description: Architecture independent data files for PyMca
 PyMca is set of applications and Python libraries for analysis of
 X-ray fluorescence spectra.
 .
 This package contains the architecture independent data files for PyMca.

Package: pymca-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Breaks: pymca (<< 5.1.2+dfsg)
Replaces: pymca (<< 5.1.2+dfsg)
Description: Documentation files for PyMca
 PyMca is set of applications and Python libraries for analysis of
 X-ray fluorescence spectra.
 .
 This package contains the documentation files for PyMca.

=== debian/rules ===
--- 
+++ 
@@ -14,14 +14,24 @@
 export PYBUILD_NAME=pymca5
 export PYBUILD_AFTER_INSTALL=rm -rf {destdir}/usr/bin/ {destdir}/usr/share/man {destdir}$(PYMCA_DATA_DIR)
 
+# Make does not offer a recursive wildcard function, so here's one:
+rwildcard=$(wildcard $1$2) $(foreach d,$(wildcard $1*),$(call rwildcard,$d/,$2))
+
+# How to recursively find all files with the same name in a given folder
+ALL_PYX := $(call rwildcard,PyMca5/,*.pyx)
+#NOTA: No space before *
+
 %:
 	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_clean:
 	dh_clean
-	# remove the .c cython generated files
-	find PyMca5 -iname *.pyx | sed -e 's,\.pyx,\.c,g' | xargs -r rm -f
-	# remove the build documentation
+	# remove the cython generated file to force rebuild
+	rm -f $(patsubst %.pyx,%.cpp,${ALL_PYX})
+	rm -f $(patsubst %.pyx,%.c,${ALL_PYX})
+	rm -f $(patsubst %.pyx,%.html,${ALL_PYX})
+	rm -rf *.egg-info
+	# remove the built documentation
 	rm -rf doc/build
 
 override_dh_installchangelogs:
@@ -34,12 +44,12 @@
 	python setup.py install_scripts -d debian/pymca/usr/bin
 	python setup.py install_man -d debian/pymca/usr/share/man
 
-	dh_install -p pymca debian/edfviewer.desktop usr/share/applications
-	dh_install -p pymca debian/elementsinfo.desktop usr/share/applications
-	dh_install -p pymca debian/peakidentifier.desktop usr/share/applications
-	dh_install -p pymca debian/pymca.desktop usr/share/applications
-	dh_install -p pymca debian/pymca.xpm usr/share/pixmaps
-	dh_install -p pymca debian/pymcaroitool.desktop usr/share/applications
+	dh_install -p pymca package/desktop/edfviewer.desktop usr/share/applications
+	dh_install -p pymca package/desktop/elementsinfo.desktop usr/share/applications
+	dh_install -p pymca package/desktop/peakidentifier.desktop usr/share/applications
+	dh_install -p pymca package/desktop/pymca.desktop usr/share/applications
+	dh_install -p pymca package/desktop/pymca.xpm usr/share/pixmaps
+	dh_install -p pymca package/desktop/pymcaroitool.desktop usr/share/applications
 
 	# pymca-data
 	python setup.py install_data --root debian/pymca-data/

=== debian/tests/control ===
Tests: python2
Depends: python-pymca5, python-all

Tests: python3
Depends: python3-pymca5, python3-all

Tests: python2-dbg
Depends: python-pymca5-dbg, python-all-dbg

Tests: python3-dbg
Depends: python3-pymca5-dbg, python3-all-dbg

## pymca 5.3.2+dfsg

=== debian/changelog ===
pymca (5.3.2+dfsg-1) unstable; urgency=medium

  [ Teemu Ikonen ]
  * Remove myself from Uploaders (Closes: #892618)

  [ Picca Frédéric-Emmanuel ]
  * New upstream version 5.3.2+dfsg
  * Bump Standars-Version to (4.1.4) (nothing to do)
  * Switched pymca scripts to Python3
  * d/control
    - Updated VCS-x for salsa migration.
    - Build-Depends:
      + python[3]-fisx[-dbg] <!nocheck> <!nodoc> (Added)
      + python[3]-h5py[-dbg] <!nocheck> <!nodoc> (Added)
      + python[3]-ipython (Added)
      + python[3]-matplotlib[-dbg]  <!nodoc> (Added)
      + python[3]-opengl <!nodoc>,
      + python[3]-pyqt5[-dbg] <!nodoc>,
      + python[3]-pyqt5.qtopengl[-dbg] <!nodoc>,
      + python[3]-pyqtgraph,
      + python[3]-qtconsole,
      + python[3]-silx,
  * d/patches
    - 0001-xlocale.h-not-available-under-glibc-2.26.patch (obsolete)
    + 0002-use-the-local-mathjax.patch (Added)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 03 Aug 2018 11:48:52 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,7 @@
 Source: pymca
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Teemu Ikonen <tpikonen@gmail.com>,
-           Picca Frédéric-Emmanuel <picca@debian.org>
+Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>
 Section: science
-Testsuite: autopkgtest
 Priority: optional
 Build-Depends: cython,
                cython-dbg,
@@ -15,26 +13,56 @@
                libqhull-dev,
                python-all-dbg,
                python-all-dev,
+               python-fisx (>= 1.1.4) <!nocheck>,
+               python-fisx-dbg (>= 1.1.4) <!nocheck>,
+               python-h5py <!nocheck> <!nodoc>,
+               python-h5py-dbg <!nocheck> <!nodoc>,
+               python-ipython,
+               python-matplotlib <!nodoc>,
+               python-matplotlib-dbg <!nodoc>,
                python-numpy,
                python-numpy-dbg,
+               python-opengl,
+               python-pyqt5 <!nodoc>,
+               python-pyqt5-dbg <!nodoc>,
+               python-pyqt5.qtopengl <!nodoc>,
+               python-pyqt5.qtopengl-dbg <!nodoc>,
+               python-pyqtgraph,
+               python-qtconsole,
                python-setuptools,
+               python-silx (>= 0.8),
                python-sphinx,
                python3-all-dbg,
                python3-all-dev,
+               python3-fisx (>= 1.1.4) <!nocheck>,
+               python3-fisx-dbg (>= 1.1.4) <!nocheck>,
+               python3-h5py <!nocheck> <!nodoc>,
+               python3-h5py-dbg <!nocheck> <!nodoc>,
+               python3-ipython,
+               python3-matplotlib <!nodoc>,
+               python3-matplotlib-dbg <!nodoc>,
                python3-numpy,
                python3-numpy-dbg,
+               python3-opengl,
+               python3-pyqt5 <!nodoc>,
+               python3-pyqt5-dbg <!nodoc>,
+               python3-pyqt5.qtopengl <!nodoc>,
+               python3-pyqt5.qtopengl-dbg <!nodoc>,
+               python3-pyqtgraph,
+               python3-qtconsole,
                python3-setuptools,
+               python3-silx (>= 0.8),
                python3-sphinx
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/pymca.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/pymca.git
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/science-team/pymca
+Vcs-Git: https://salsa.debian.org/science-team/pymca.git
 Homepage: https://github.com/vasole/pymca
 
 Package: pymca
 Architecture: all
-Depends: python-pymca5 (>= ${source:Version}),
-         ${misc:Depends},
-         ${python:Depends},
+Depends: python3-pymca5 (>= ${source:Version}),
+         ${misc:Depends},
+         ${python3:Depends},
          ${shlibs:Depends}
 Description: Applications and toolkit for X-ray fluorescence analysis -- scripts
  PyMca is set of applications and Python libraries for analysis of
@@ -60,11 +88,6 @@
 Architecture: any
 Section: python
 Depends: pymca-data (= ${source:Version}),
-         python-fisx (>= 1.1.4-1~),
-         python-matplotlib,
-         python-opengl,
-         python-qt4 | python-pyside | python-pyqt5,
-         python-qt4-gl | python-pyside | python-pyqt5.qtopengl,
          ${misc:Depends},
          ${python:Depends},
          ${shlibs:Depends}
@@ -93,15 +116,18 @@
 Architecture: any
 Section: debug
 Depends: python-fisx-dbg (>= 1.1.4-1~),
+         python-h5py-dbg,
          python-matplotlib-dbg,
+         python-numpy-dbg,
          python-opengl,
          python-pymca5 (= ${binary:Version}),
-         python-qt4-dbg | python-pyqt5-dbg,
-         python-qt4-gl-dbg | python-pyqt5.qtopengl-dbg,
+         python-pyqt5-dbg,
+         python-pyqt5.qtopengl-dbg,
+         python-silx-dbg (>= 0.8),
          ${misc:Depends},
          ${python:Depends},
          ${shlibs:Depends}
-Recommends: python-dbg, python-h5py-dbg, python-mdp
+Recommends: python-dbg, python-mdp
 Description: Applications and toolkit for X-ray fluorescence analysis -- Python 2 debug
  PyMca is set of applications and Python libraries for analysis of
  X-ray fluorescence spectra.
@@ -126,11 +152,6 @@
 Architecture: any
 Section: python
 Depends: pymca-data (= ${source:Version}),
-         python3-fisx (>= 1.1.4-1~),
-         python3-matplotlib,
-         python3-opengl,
-         python3-pyqt4 | python3-pyside | python3-pyqt5,
-         python3-pyqt4.qtopengl | python3-pyside | python3-pyqt5.qtopengl,
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
@@ -159,15 +180,17 @@
 Architecture: any
 Section: debug
 Depends: python3-fisx-dbg (>= 1.1.4-1~),
+         python3-h5py-dbg,
          python3-matplotlib-dbg,
-         python3-opengl,
+         python3-numpy-dbg,
          python3-pymca5 (= ${binary:Version}),
-         python3-pyqt4-dbg | python3-pyqt5-dbg,
-         python3-pyqt4.qtopengl-dbg | python3-pyqt5.qtopengl-dbg,
+         python3-pyqt5-dbg,
+         python3-pyqt5.qtopengl-dbg,
+         python3-silx-dbg (>= 0.8),
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
-Recommends: python3-dbg, python3-h5py-dbg, python3-mdp
+Recommends: python3-dbg, python3-mdp
 Description: Applications and toolkit for X-ray fluorescence analysis -- Python 3 debug
  PyMca is set of applications and Python libraries for analysis of
  X-ray fluorescence spectra.
@@ -200,7 +223,7 @@
 Package: pymca-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Depends: libjs-mathjax, ${misc:Depends}, ${sphinxdoc:Depends}
 Breaks: pymca (<< 5.1.2+dfsg)
 Replaces: pymca (<< 5.1.2+dfsg)
 Description: Documentation files for PyMca

=== debian/rules ===
--- 
+++ 
@@ -1,15 +1,17 @@
 #!/usr/bin/make -f
 
 export DH_VERBOSE=1
+export HOME=/tmp
 export SPECFILE_USE_GNU_SOURCE=1
 export WITH_CYTHON=1
+export WITH_GUI=1
 export QHULL_CFLAGS=-I/usr/include/qhull
 export QHULL_LIBS=-lqhull
 export PYMCA_DATA_DIR=/usr/share/pymca
 export PYMCA_DOC_DIR=$(PYMCA_DATA_DIR)/doc
 
 export PYMCA_DATA_DIR_TEST=$(CURDIR)/PyMca5/PyMcaData/
-export PYMCA_DOC_DIR_TEST=$(PYMCA_DATA_DIR_TEST)/doc
+export PYMCA_DOC_DIR_TEST=$(PYMCA_DATA_DIR_TEST)
 
 export PYBUILD_NAME=pymca5
 export PYBUILD_AFTER_INSTALL=rm -rf {destdir}/usr/bin/ {destdir}/usr/share/man {destdir}$(PYMCA_DATA_DIR)
@@ -41,8 +43,8 @@
 	dh_install -O--buildsystem=pybuild
 
 	# pymca
-	python setup.py install_scripts -d debian/pymca/usr/bin
-	python setup.py install_man -d debian/pymca/usr/share/man
+	python3 setup.py install_scripts -d debian/pymca/usr/bin
+	python3 setup.py install_man -d debian/pymca/usr/share/man
 
 	dh_install -p pymca package/desktop/edfviewer.desktop usr/share/applications
 	dh_install -p pymca package/desktop/elementsinfo.desktop usr/share/applications
@@ -52,7 +54,7 @@
 	dh_install -p pymca package/desktop/pymcaroitool.desktop usr/share/applications
 
 	# pymca-data
-	python setup.py install_data --root debian/pymca-data/
+	python3 setup.py install_data --root debian/pymca-data/
 	rm -f debian/pymca-data/usr/share/pymca/EPDL97/LICENSE
 	rm -f debian/pymca-data/usr/share/pymca/LICENSE
 	rm -f debian/pymca-data/usr/share/pymca/LICENSE.GPL
@@ -65,12 +67,12 @@
 
 override_dh_auto_test:
 	PYBUILD_SYSTEM=custom \
-	PYBUILD_TEST_ARGS="cd {build_dir} && PYMCA_DATA_DIR=$(PYMCA_DATA_DIR_TEST) {interpreter} PyMca5/tests/TestAll.py" dh_auto_test
+	PYBUILD_TEST_ARGS="cd {build_dir} && PYMCA_DATA_DIR=$(PYMCA_DATA_DIR_TEST) PYMCA_DOC_DIR=$(PYMCA_DOC_DIR_TEST) {interpreter} PyMca5/tests/TestAll.py" dh_auto_test
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
 	PYBUILD_SYSTEM=custom \
-	PYBUILD_BUILD_ARGS="cd doc && PYTHONPATH={build_dir} PYMCA_DATA_DIR=$(PYMCA_DATA_DIR_TEST) http_proxy='127.0.0.1:9' {interpreter} -m sphinx -N -bhtml source build/html" dh_auto_build  # HTML generator
+	PYBUILD_BUILD_ARGS="cd doc && PYTHONPATH={build_dir} PYMCA_DATA_DIR=$(PYMCA_DATA_DIR_TEST) PYMCA_DOC_DIR=$(PYMCA_DOC_DIR_TEST) http_proxy='127.0.0.1:9' {interpreter} -m sphinx -N -bhtml source build/html" dh_auto_build  # HTML generator
 	dh_installdocs "doc/build/html" -p pymca-doc
 	dh_sphinxdoc -O--buildsystem=pybuild
 endif

## pymca 5.4.3+dfsg

=== requirements.txt ===
--- 
+++ 
@@ -7,12 +7,12 @@
 --only-binary numpy,h5py,scipy,PyQt4,PyQt5,PySide
 
 numpy >= 1.8
-fisx >= 1.1.2
+fisx >= 1.1.5
 PyOpenGL                  # For PyMca5.Object3D module 
 h5py                      # For HDF5 file format support
 matplotlib > 1.0          # For visualization
 qtconsole                 # For interactive console plugin
-silx >= 0.7               # For NeXus NXdata support and nicer icons  
+silx >= 0.8               # For NeXus NXdata support and nicer icons  
 
 # PyQt4, PyQt5 or PySide  # For PyMca5.PyMcaGui
 # Try to install a Qt binding from a wheel

=== debian/changelog ===
pymca (5.4.3+dfsg-1) unstable; urgency=medium

  [ Picca Frédéric-Emmanuel ]
  * update the Salsa CI

  [ Alexandre Marie ]
  * New upstream version 5.4.3+dfsg

 -- Alexandre Marie <alexandre.marie@synchrotron-soleil.fr>  Wed, 09 Jan 2019 15:46:16 +0100

pymca (5.4.0+dfsg-1) unstable; urgency=medium

  * New upstream version 5.4.0+dfsg
  * d/control
    + python[3]-fisx[-dbg] (>= 1.1.4 -> 1.1.6)
  * d/copyright Updated with upstream informations.
  * d/tests
    - Moves all tests inside control.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 20 Sep 2018 10:05:58 +0200

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,8 @@
                libqhull-dev,
                python-all-dbg,
                python-all-dev,
-               python-fisx (>= 1.1.4) <!nocheck>,
-               python-fisx-dbg (>= 1.1.4) <!nocheck>,
+               python-fisx (>= 1.1.6) <!nocheck>,
+               python-fisx-dbg (>= 1.1.6) <!nocheck>,
                python-h5py <!nocheck> <!nodoc>,
                python-h5py-dbg <!nocheck> <!nodoc>,
                python-ipython,
@@ -34,8 +34,8 @@
                python-sphinx,
                python3-all-dbg,
                python3-all-dev,
-               python3-fisx (>= 1.1.4) <!nocheck>,
-               python3-fisx-dbg (>= 1.1.4) <!nocheck>,
+               python3-fisx (>= 1.1.6) <!nocheck>,
+               python3-fisx-dbg (>= 1.1.6) <!nocheck>,
                python3-h5py <!nocheck> <!nodoc>,
                python3-h5py-dbg <!nocheck> <!nodoc>,
                python3-ipython,
@@ -115,7 +115,7 @@
 Package: python-pymca5-dbg
 Architecture: any
 Section: debug
-Depends: python-fisx-dbg (>= 1.1.4-1~),
+Depends: python-fisx-dbg (>= 1.1.6-1~),
          python-h5py-dbg,
          python-matplotlib-dbg,
          python-numpy-dbg,
@@ -179,7 +179,7 @@
 Package: python3-pymca5-dbg
 Architecture: any
 Section: debug
-Depends: python3-fisx-dbg (>= 1.1.4-1~),
+Depends: python3-fisx-dbg (>= 1.1.6-1~),
          python3-h5py-dbg,
          python3-matplotlib-dbg,
          python3-numpy-dbg,

=== debian/rules ===
--- 
+++ 
@@ -46,12 +46,9 @@
 	python3 setup.py install_scripts -d debian/pymca/usr/bin
 	python3 setup.py install_man -d debian/pymca/usr/share/man
 
-	dh_install -p pymca package/desktop/edfviewer.desktop usr/share/applications
-	dh_install -p pymca package/desktop/elementsinfo.desktop usr/share/applications
-	dh_install -p pymca package/desktop/peakidentifier.desktop usr/share/applications
-	dh_install -p pymca package/desktop/pymca.desktop usr/share/applications
-	dh_install -p pymca package/desktop/pymca.xpm usr/share/pixmaps
-	dh_install -p pymca package/desktop/pymcaroitool.desktop usr/share/applications
+	dh_install -p pymca package/desktop/*.desktop usr/share/applications
+	dh_install -p pymca package/desktop/PyMca.png usr/share/icons/hicolor/256x256/apps
+	dh_install -p pymca package/desktop/pymca.xml usr/share/mime/packages
 
 	# pymca-data
 	python3 setup.py install_data --root debian/pymca-data/

=== debian/tests/control ===
Test-Command: set -efu
 ; for py in $(pyversions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; xvfb-run -a --server-args="-screen 0 1024x768x24" $py -m PyMca5.tests.TestAll 2>&1
 ; done
Depends: python-all, python-pymca5, xauth, xvfb

Test-Command: set -efu
 ; for py in $(pyversions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py-dbg:"
 ; xvfb-run -a --server-args="-screen 0 1024x768x24" $py-dbg -m PyMca5.tests.TestAll 2>&1
 ; done
Depends: python-all-dbg, python-pymca5-dbg, xauth, xvfb

Test-Command: set -efu
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; xvfb-run -a --server-args="-screen 0 1024x768x24" $py -m PyMca5.tests.TestAll 2>&1
 ; done
Depends: python3-all, python3-pymca5, xauth, xvfb

Test-Command: set -efu
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py-dbg:"
 ; xvfb-run -a --server-args="-screen 0 1024x768x24" $py-dbg -m PyMca5.tests.TestAll 2>&1
 ; done
Depends: python3-all-dbg, python3-pymca5-dbg, xauth, xvfb
